Subject: 25.0.90; autogen.sh automatic parameter isn't working
From: David Caldwell <[email-masked]>
To: [email-masked]
Date: Thu, 4 Feb 2016 10:18:02 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Commit aca31e3815b9bd9c696cf0c74cc4a80ad7e35ec9 seems to have broken
'./autogen.sh'. It's requiring me to invoke it with the 'autoconf'
parameter. A quick peek at the source looks like it should be automatic,
but I think there's a bug in the shell code. At least, I needed this
change to make the 'autoconf' automatic under bash. I don't know enough
about the differences between bash and pure POSIX shells to know if this
is correct everywhere, but it fixes the issue for me:

diff --git a/autogen.sh b/autogen.sh
index 2ed58e1..c5c8d51 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -106,7 +106,7 @@ check_version ()
 do_autoconf=false
 do_git=false

-for arg in ${*-autoconf}; do
+for arg in ${*:-autoconf}; do
     case $arg in
       --help)
        exec echo "$0: usage: $0 [all|autoconf|git]";;